Subject: bug#54783: closed (Re: bug#54783: ZRAM default priority wrong)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 11 Jun 2022 05:57:02 +0000

Your bug report

#54783: ZRAM default priority wrong

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54783: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=54783
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54783: ZRAM default priority wrong
From: Maxim Cournoyer <[email-masked]>
To: Josselin Poiret <[email-masked]>
Cc: [email-masked], Stefan Baums <[email-masked]>
Date: Sat, 11 Jun 2022 01:56:38 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Josselin,

[...]
>
> On the Guix side of things, we should really be using the same interface
> as swap-space, as I think the distinction between #f and 0 to 32767 is
> clearer.  I'll send some patches that adress this soon, along with the
> zram-service-type documentation.

I've made this smallish change:

--8<---------------cut here---------------start------------->8---
modified   gnu/services/linux.scm
@@ -296,14 +296,12 @@ (define (zram-device-configuration->udev-string config)
          "")
        "RUN+=\"/run/current-system/profile/sbin/mkswap /dev/zram0\" "
        "RUN+=\"/run/current-system/profile/sbin/swapon "
-       ;; XXX: The field is delayed while the deprecation warning remains in
-       ;; place, so we can't use match to fetch it (it would give a promise)
-       (if (zram-device-configuration-priority config)
-           (string-append "--priority "
-                          (number->string
-                           (zram-device-configuration-priority config))
-                          " ")
-         "")
+       ;; TODO: Revert to simply use 'priority' after removing the deprecation
+       ;; warning and the delayed property of the field.
+       (let ((priority* (force priority)))
+         (if priority*
+             (format #f "--priority ~a " priority*)
+             ""))
        "/dev/zram0\"\n"))))
 
 (define %zram-device-config
 
--8<---------------cut here---------------end--------------->8---

Because the TODO comments seems more actionable for my future self, and
pushed as a99015c878.

Thanks Stefan for reporting the issue and for Josselin for fixing it!

Closing.

Maxim

Subject: ZRAM default priority wrong
From: Stefan Baums <[email-masked]>
To: [email-masked]
Date: Thu, 07 Apr 2022 22:27:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I have a swap file and zram configured without specifying
priority. The swap file was assigned -2, and zram -3, with the
effect that zram was never used. I had to manually change the zram
priority to something higher that that of the swap file.

The manual wrongly claims that the default priority for zram is
-1. The same paragraph of the manual also says:

   ‘swapon’ accepts values between -1 and 32767, with higher
   values indicating higher priority.

which makes the -2 priority of the swap file look suspect (though
it seems to work).